curl --request PATCH \
--url https://v2.prod.halliday.xyz/orgs/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "prod-workflows",
"url": "https://api.yourapp.com/halliday/webhooks/v2"
}
'import requests
url = "https://v2.prod.halliday.xyz/orgs/webhooks"
payload = {
"label": "prod-workflows",
"url": "https://api.yourapp.com/halliday/webhooks/v2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'prod-workflows', url: 'https://api.yourapp.com/halliday/webhooks/v2'})
};
fetch('https://v2.prod.halliday.xyz/orgs/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"code": "invalid_type",
"expected": "string",
"path": [
"label"
],
"message": "Invalid input: expected string, received undefined"
}
]
}{
"errors": [
{
"kind": "other",
"message": "Invalid API key"
}
]
}{
"errors": [
{
"kind": "other",
"message": "No webhook with label 'prod-workflows' found"
}
]
}Update a webhook
Update a registered webhook. label identifies which webhook to update and cannot be changed.
The editable fields are url and auth_header (pass auth_header: null to
remove a previously set header). event_types is not updatable — to change which events a
webhook subscribes to, delete it and create a new one. To change the signing secret, use the
rotate-secret endpoint. A successful update returns 200 with an empty body.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Identifies the webhook to update. Cannot be changed.
"prod-workflows"
Optional. New receiver URL. Must be HTTPS on port 443.
"https://api.yourapp.com/halliday/webhooks/v2"
Optional. Set or replace the custom delivery auth header, or pass null to remove an
existing one.
Show child attributes
Show child attributes
Response
Webhook updated successfully (empty body)

